# Class ContextLocalEjb

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.ContextLocalEjb

All Implemented Interfaces:
  `Serializable`, `Injectable`

public class ContextLocalEjb extends ResourceBase
Representation of a local EJB resource reference for a web application, as represented in a `<ejb-local-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContextLocalEjb()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getHome()`
`String`
`getLink()`
`String`
`getLocal()`
`int`
`hashCode()`
`void`
`setHome(String home)`
`void`
`setLink(String link)`
`void`
`setLocal(String local)`
`String`
`toString()`
Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContextLocalEjb

public ContextLocalEjb()

## Method Details

### getHome

public String getHome()

### setHome

public void setHome(String home)

### getLink

public String getLink()

### setLink

public void setLink(String link)

### getLocal

public String getLocal()

### setLocal

public void setLocal(String local)

### toString

public String toString()
Return a String representation of this object.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ResourceBase`